:root {
  --global-font-size: 16px;
  --global-line-height: 1.2em;
  --global-space: 10px;
  --font-stack: DejaVu Sans, Menlo, Monaco, Lucida Console, Liberation Mono, Bitstream Vera Sans Mono, Courier New, monospace, serif;
  --mono-font-stack: DejaVu Sans Mono, Menlo, Monaco, Lucida Console, Liberation Mono,  Bitstream Vera Sans Mono, Courier New, monospace, serif;
  --background-color: #000;
  --page-width: 60em;
  --font-color: #05bd03;
  --invert-font-color: #fff;
  --primary-color: #aaaaaa;
  --secondary-color: #00FA00;
  --error-color: #d20962;
  --progress-bar-background: #333333;
  --progress-bar-fill: #151515;
  --code-bg-color: #05bd03;
  --input-style: solid;
  --display-h1-decoration: none;
}

* {
  box-sizing: border-box;
  text-rendering: geometricPrecision;
}

*::selection {
  background: var(--primary-color);
  color: var(--invert-font-color);
}

body {
  font-size: var(--global-font-size);
  color: var(--font-color);
  line-height: var(--global-line-height);
  margin-left: 5%;
  margin-right: 5%;
  max-width: 800px;
  font-family: var(--font-stack);
  word-wrap: break-word;
  background-color: var(--background-color);
}

h1,
h2,
h3,
h4,
h5,
h6,
.logo {
  line-height: var(--global-line-height);
}

a {
  cursor: pointer;
  color: var(--primary-color);
  text-decoration: none;
}

a:hover {
  background-color: var(--primary-color);
  color: var(--invert-font-color);
}

em {
  font-size: var(--global-font-size);
  font-style: italic;
  font-family: var(--font-stack);
}

blockquote,
code,
em,
strong {
  line-height: var(--global-line-height);
}

blockquote,
code,
footer,
h1,
h2,
h3,
h4,
h5,
h6,
header,
li,
ol,
p,
section,
ul,
.logo {
  float: none;
  margin: 0;
  padding: 0;
}

blockquote,
h1,
ol,
p,
ul,
.logo {
  margin-top: calc(var(--global-space) * 2);
  margin-bottom: calc(var(--global-space) * 2);
}

h1,
.logo {
  position: relative;
  display: inline-block;
  display: table-cell;
  padding: calc(var(--global-space) * 2) 0 calc(var(--global-space) * 2);
  margin: 0;
  overflow: hidden;
  font-weight: 600;
}

h1::after {
  content: "====================================================================================================";
  position: absolute;
  bottom: 5px;
  left: 0;
  display: var(--display-h1-decoration);
}

h1 + *,
.logo + * {
  margin-top: 0;
}

h2,
h3,
h4,
h5,
h6 {
  position: relative;
  margin-bottom: var(--global-line-height);
  font-weight: 600;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  color: var(--secondary-color);
}

blockquote {
  position: relative;
  padding-left: calc(var(--global-space) * 2);
  padding-left: 2ch;
  overflow: hidden;
}

blockquote::after {
  content: ">\A>\A>\A>\A>\A>\A>\A>\A>\A>\A>\A>\A>\A>\A>\A>\A>\A>\A>\A>\A>\A>\A>\A>\A>\A>\A>\A>\A>\A>\A>\A>\A>\A>\A>\A>\A>\A>\A>\A>\A>\A>\A>\A>\A>\A>\A>\A>\A>\A>\A>\A>\A>\A>\A>\A>\A>\A>\A>\A>\A>\A>\A>\A>\A>\A>\A>\A>\A>\A>\A>\A>\A>\A>\A>\A>\A>\A>\A>\A>\A>\A>\A>\A>\A>\A>\A>\A>\A>\A>\A>\A>\A>\A>\A>\A>\A>\A>\A>\A>";
  white-space: pre;
  position: absolute;
  top: 0;
  left: 0;
  line-height: var(--global-line-height);
  color: #000000;
}

code {
  font-weight: bold;
  background-color: var(--code-bg-color);
  font-family: var(--mono-font-stack);
  color: #000000;
}

code::after,
code::before {
  content: "`";
  display: inline;
}

pre code::after,
pre code::before {
  content: "";
}

pre {
  display: block;
  word-break: break-all;
  word-wrap: break-word;
  color: var(--secondary-color);
  background-color: var(--background-color);
/*  border: 1px solid var(--secondary-color); */
  padding: var(--global-space);
  white-space: pre-wrap;
}

pre code {
  overflow-x: auto;
  padding: 0;
  margin: 0;
  display: inline-block;
  min-width: 100%;
  font-family: var(--mono-font-stack);
}

li,
li > ul > li {
  position: relative;
  display: block;
  padding-left: calc(var(--global-space) * 2);
}

nav > ul > li {
  padding-left: 0;
}

li::after {
  position: absolute;
  top: 0;
  left: 0;
}

ul > li::after {
  content: "-";
}

nav ul > li::after {
  content: "";
}

ol li::before {
  content: counters(item, ".") ". ";
  counter-increment: item;
}

ol ol li::before {
  content: counters(item, ".") " ";
  counter-increment: item;
}

.terminal-menu li::after,
.terminal-menu li::before {
  display: none;
}

ol {
  counter-reset: item;
}

ol li:nth-child(n+10)::after {
  left: -7px;
}

ol ol {
  margin-top: 0;
  margin-bottom: 0;
}

ul ul {
  margin-top: 0;
  margin-bottom: 0;
}

hr {
  position: relative;
  overflow: hidden;
  margin: calc(var(--global-space) * 4) 0;
  border: 0;
  border-bottom: 1px dashed var(--secondary-color);
}

p {
  margin: 0 0 var(--global-line-height);
  color: var(--global-font-color);
}

table {
  width: 100%;
  border-collapse: collapse;
  margin: var(--global-line-height) 0;
  color: var(--font-color);
  font-size: var(--global-font-size);
}

table td,
table th {
  vertical-align: top;
  border: 1px solid var(--font-color);
  line-height: var(--global-line-height);
  padding: calc(var(--global-space) / 2);
  font-size: 1em;
}

table thead th {
  font-size: 1em;
}

table tfoot tr th {
  font-weight: 500;
}

table caption {
  font-size: 1em;
  margin: 0 0 1em 0;
}

table tbody td:first-child {
  font-weight: 700;
  color: var(--secondary-color);
}

fieldset {
  border: 1px solid var(--font-color);
  padding: 1em;
}

label {
  font-size: 1em;
  color: var(--font-color);
}

input[type="email"],
input[type="text"],
input[type="number"],
input[type="password"],
input[type="search"] {
  border: 1px var(--input-style) var(--font-color);
  width: 100%;
  padding: 0.7em 0.5em;
  font-size: 1em;
  font-family: var(--font-stack);
  border-radius: 0;
}

input[type="email"]:active,
input[type="text"]:active,
input[type="number"]:active,
input[type="password"]:active,
input[type="search"]:active,
input[type="email"]:focus,
input[type="text"]:focus,
input[type="number"]:focus,
input[type="password"]:focus,
input[type="search"]:focus {
  outline: none;
  border: 1px solid var(--font-color);
}

input[type="text"]:not(:placeholder-shown):invalid,
input[type="email"]:not(:placeholder-shown):invalid,
input[type="password"]:not(:placeholder-shown):invalid,
input[type="search"]:not(:placeholder-shown):invalid,
input[type="number"]:not(:placeholder-shown):invalid {
  border-color: var(--error-color);
}

input,
textarea {
  color: var(--font-color);
  background-color: var(--background-color);
}

input::placeholder,
textarea::placeholder {
  color: var(--secondary-color) !important;
  opacity: 1;
}

textarea {
  height: auto;
  width: 100%;
  resize: none;
  border: 1px var(--input-style) var(--font-color);
  padding: 0.5em;
  font-size: 1em;
  font-family: var(--font-stack);
  border-radius: 0;
}

textarea:focus {
  outline: none;
  border: 1px solid var(--font-color);
}

textarea:not(:placeholder-shown):invalid {
  border-color: var(--error-color);
}



figure > img {
  padding: 0;
}


figure {
  margin: 0;
}

figure > figcaption {
  color: var(--secondary-color);
  text-align: center;
}

